Looking for a new flashcart for the 3ds Looking for some advice

Discussion in '3DS - Flashcards & Custom Firmwares' started by metal01, Sep 1, 2016.

  1. metal01
    OP

    metal01 GBAtemp Regular

    Member
    205
    10
    Jul 18, 2009
    United States
    I have the current firmware for the 3ds, I want to be able to play 3ds games, ds games, and gba games as easily and hassle free as possible. I was thinking of the DSTWO 4 in 1 since I'm familiar with the old DStwo.

    What should I do? What should I get? I figure I'll probably have to wait to play 3ds games since I have the current firmware but i figure eventually it'll get worked out. Thanks!
     
  2. Sonic Angel Knight

    Sonic Angel Knight GBAtemp Guru

    Member
    9,832
    4,919
    May 27, 2016
    United States
    New York
    DSTWO DSTWO get that one! :D

    NO regrets Promise!
     
  3. Atro

    Atro Advanced Member

    Newcomer
    91
    32
    Aug 4, 2016
    United States
    Firmware?
     
  4. metal01
    OP

    metal01 GBAtemp Regular

    Member
    205
    10
    Jul 18, 2009
    United States
    Ver. 11.0.0-33U

    — Posts automatically merged - Please don't double post! —

    I'm definitely leaning that way.
     
  5. Skyshadow101

    Skyshadow101 The Sky Is The Limit!

    Member
    912
    314
    May 22, 2016
    United States
    The Underground
    Yup. Get the DS Two PLUS! Not regular.

    Make Sonic Angel Knight happy. xD

    Sent from my Browser on a New 3DS XL with A9LH
     
  6. Ricken

    Ricken So long, and goodnite / So long, not goodnite

    Member
    2,194
    2,349
    Jan 19, 2016
    United States
    Shibuya, The small one from Vegas
    But I thought DSTwo can't play 3DS games on 11.0..?
    Sky3DS can play 3DS games, any firmware
     
    TheCyberQuake likes this.
  7. Sonic Angel Knight

    Sonic Angel Knight GBAtemp Guru

    Member
    9,832
    4,919
    May 27, 2016
    United States
    New York
    Me happy? He should be worried more about making himself happy. BUILT IN CHEAT FINDER? ANTI PIRACY PATCH? BUILT IN SAVE STATES AND MULTI SAVE DATA MANAGER? 4 People can play pokemon on the same damn cartridge without ever erasing save data. Extra cpu power for SNES and GBA? (okay even then still not perfect) But movie player and such?

    BUY NOW! I'm drooling! O_O

    now only if i can find my own. I hate losing my games in my room.:mellow:

    Well yeah, no 3DS but he also said NDS and such so i think he knows that. He will have to get a sky or gateway i guess.

    I mean he can still play 3DS if he goes buy them from the store. :P
     
  8. Skyshadow101

    Skyshadow101 The Sky Is The Limit!

    Member
    912
    314
    May 22, 2016
    United States
    The Underground
    Just looked it up, your right, you can't play 3ds games on it past v9.2. Unless you have A9LH of course.

    Sent from my Browser on a New 3DS XL with A9LH
     
    Ricken likes this.
  9. metal01
    OP

    metal01 GBAtemp Regular

    Member
    205
    10
    Jul 18, 2009
    United States
    is A9LH hard to install. I would like to be able to play 3ds games but its not a priority since I actually own quite a few of them. I'm sure at some point the dstwo will be updated to play 3ds on the current firmware. I'm not looking for instructions on how to do it, I know they are on the site, just was wondering from someone who has it installed.
     
    Last edited by metal01, Sep 1, 2016
  10. Awesomeslayerg

    Awesomeslayerg GBAtemp Regular

    Member
    139
    12
    Jan 21, 2011
    United States
    No, but you have to be superduper careful. Like the 2.1.0 part if you close the lid you risk a brickm and since your on 11.0, I recommend a dsidowngrade if you have another haxed ds or a hardmod
     
  11. sora10pls

    sora10pls Official GBAtemp Trashâ„¢

    Member
    171
    196
    Oct 25, 2015
    Canada
    Having installed it on over 20 consoles, I can say from experience that it is not hard at all. The new guide makes it a lot easier than it used to be, and even then, it wasn't all that difficult to begin with.

    I would highly recommend doing it. :)
     
  12. TheCyberQuake

    TheCyberQuake Certified Geek

    Member
    3,108
    1,951
    Dec 2, 2014
    United States
    Las Vegas, Nevada
    Unfortunately for your current firmware (11.0) you would have to buy at least 2 cards. 11.0 won't support Gateway, so you will have to buy a Sky3ds. Sky3ds can't play anything but official 3ds cart dumps, so you will have to also invest in a DS TWO which will offer both NDS and GBA.
    But at that price point (around $150) I would instead opt to send your 3ds to someone in the US to hardmod, and possible downgrade and A9LH for you.
    It would be cheaper, and would give you much more than what the two flashcards could give you. You can play custom injected GBA VC games, any 3ds game (not just ones dumped from official carts, which means eShop only titles), and can use a cheap DS flashcard to play NDS games.

    I wouldn't be so sure about DSTWO working on latest firmware any time in the near future.